=== debian/changelog ===
pyopencl (2018.2.2-1) unstable; urgency=medium

  * New upstream release
    * Update d/copyright.
    * Refresh patches.
  * Add abort-on-upstream-changes to d/source/local-options.
  * Add more hardening options to d/rules.
  * Add lintian override for lack of autopkgtest.
  * Add DEB_BUILD_OPTIONS terse.
  * Update Standards-Version to 4.3.0; no changes necessary.
  * Set compatibility level to 12; no changes necessary.
  * Update debian/watch to use substitution variables.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 27 Jan 2019 15:24:03 +0100

pyopencl (2018.2.1-1) unstable; urgency=medium

  * New upstream release, move to pybind11.
    * Update build dependencies.
    * Refresh patches.
    * Remove obsolete entries from d/copyright.
  * Add Rules-Requires-Root to d/control.
  * Update hardening build options.
  * Update d/copyright links to use https protocol.
  * Reorder d/control putting Python 3 packages first.
  * Remove unnecessary X-Python{,3}-Version fields.
  * Update Standards-Version to 4.2.1; no changes necessary.
  * Set compatibility level to 11
    * Point python-pycuda-doc.doc-base to main package's doc directory.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 18 Nov 2018 18:44:36 +0100
