=== debian/control ===
Source: pyopencl
Section: python
Priority: optional
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Tomasz Rybak <serpent@debian.org>
Build-Depends: debhelper (>= 12),
 dh-python,
 python-all-dev,
 python-all-dbg,
 python3-all-dev,
 python3-all-dbg,
 python3-doc <!nodoc>,
 python-numpy-doc <!nodoc>,
 python-mako-doc <!nodoc>,
 pybind11-dev,
 python-pybind11,
 python3-pybind11,
 python-setuptools,
 python3-setuptools,
 opencl-c-headers,
 ocl-icd-opencl-dev | opencl-dev,
 mesa-common-dev,
 python-numpy (>= 1:1.4.1-4~),
 python3-numpy,
 python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python3-mako,
 python-pytools (>= 2017.6),
 python3-pytools (>= 2017.6)
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: http://mathema.tician.de/software/pyopencl
Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
Vcs-Browser: https://salsa.debian.org/opencl-team/python-pyopencl

Package: python3-pyopencl
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 ocl-icd-libopencl1 | libopencl1,
 pocl-opencl-icd | opencl-icd,
 python3-pkg-resources,
 python3-appdirs (>= 1.4.0),
 python3-numpy,
 python3-pytools (>= 2017.6),
 python3-six
Recommends: python-pyopencl-doc <!nodoc>,
 python3-mako
Suggests: python3-imaging-tk,
 python3-opengl,
 python3-pytest,
 python3-matplotlib,
 python3-pyopencl-dbg
Replaces: python-pyopencl-headers
Description: Python 3 module to access OpenCL parallel computation API
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains Python 3 modules.

Package: python3-pyopencl-dbg
Section: debug
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
Multi-Arch: no
Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-cffi-backend-dbg
Description: Python 3 module to access OpenCL API (debug extensions)
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains extensions build for the Python 3 debug interpreter.

Package: python-pyopencl
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 ocl-icd-libopencl1 | libopencl1,
 pocl-opencl-icd | opencl-icd,
 python-pkg-resources,
 python-appdirs (>= 1.4.0),
 python-numpy,
 python-pytools (>= 2017.6),
 python-six
Recommends: python-pyopencl-doc <!nodoc>,
 python-opengl,
 python-mako
Suggests: python-imaging-tk,
 python-pytest,
 python-matplotlib,
 python-pyopencl-dbg
Replaces: python-pyopencl-headers
Description: Python module to access OpenCL parallel computation API
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).

Package: python-pyopencl-dbg
Section: debug
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
Multi-Arch: no
Depends: python-pyopencl (= ${binary:Version}), python-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-cffi-backend-dbg
Description: Python module to access OpenCL API (debug extensions)
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains debug extensions build for the Python debug interpreter.

Package: python-pyopencl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${sphinxdoc:Depends},
 ${misc:Depends}
Recommends: python3-doc,
 python-numpy-doc,
 python-mako-doc
Suggests: python-pyopencl,
 python3-pyopencl
Description: module to access OpenCL parallel computation API (documentation)
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains HTML documentation and example scripts.
