## pyopencl 2019.1.1

=== debian/changelog ===
pyopencl (2019.1.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:27:35 +0100

pyopencl (2019.1.1-1) unstable; urgency=medium

  * New upstream release.
    * Refresh patches.
  * Remove Python 2 packages, preparing for #937497.
    * Add patch to run build under Python 3.
  * Update Standards-Version to 4.4.1; no changes necessary.
  * Use debhelper-compat versioned dependency instead of d/compat
    to mark debhelper compatibility level.
  * Update d/copyright; use debmake suggestion and change name of MIT
    to Expat licence, removing ambiguity.
  * Add upstream GPG key.
  * Remove Replaces: python-pyopencl-headers, not-relevant even
    in oldoldstable.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 05 Nov 2019 22:10:21 +0100
