## pyopencl 2021.1.2

=== debian/changelog ===
pyopencl (2021.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 23 Feb 2021 04:55:42 +0100

pyopencl (2021.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on dh-sequence-{python3,numpy3,sphinxdoc}.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Jan 2021 05:34:02 +0100

pyopencl (2021.1-1) unstable; urgency=medium

  * New upstream release.
  * Use release tarballs from pypi.
  * Refresh patches.
  * Build-depend on python3-sphinx-copybutton.
  * Continue using the sphinx alabaster theme, furo is not yet packaged.
  * Cleanup debian/rules.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Jan 2021 21:47:46 +0100

pyopencl (2020.3.1-1) unstable; urgency=medium

  * Team upload

  [ Andreas Beckmann ]
  * New upstream release.
  * Refresh patches.
  * Fix building and cleaning the new release.

  [ Picca Frédéric-Emmanuel ]
  * building doc requires a HOME, set it to /tmp
  * d/rules: Added build time tests  (Closes: #960436)
  * d/control: Added Build-Depends python3-pytest <!nocheck>
  * d/t/control: Added in order to test as installed on debci
  * Use secure URI in Homepage field.
  * d/control: Added python3-mako to python3-pyopencl, this missing
    package what spotted by autopkgtests.
  * Upload to unstable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Dec 2020 11:15:19 +0100

pyopencl (2020.2.2-1) experimental; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.  (Closes: #971829)
  * Refresh patches.
  * Bump Build-Depends: python3-pybind11 (>= 2.5.0).
  * The bullseye toolchain defaults to linking with --as-needed.
  * Build for all architectures where pocl-opencl-icd is available.
    (Closes: #947864) (LP: #1264844)
  * Import upstream tarballs into the packaging repository.
  * Use github repository as upstream.
  * Let the get-orig-source target create a reproducible tarball.
  * Switch to debhelper-compat (= 13)
  * Update Standards-Version to 4.5.1; no changes necessary.
  * Fix building twice in a row.
  * Rewrite shebang in python examples to python3.
  * Add myself to Uploaders.
  * Upload to experimental.

  [ Tomasz Rybak ]
  * Add options to get verbose log from pybuild.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Dec 2020 15:44:37 +0100

pyopencl (2016.1+git20160809-3) experimental; urgency=medium

  * Build for all architectures for which we have OpenCL ICDs.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 13 Sep 2016 20:45:47 +0200
