=== debian/control ===
--- 
+++ 
@@ -2,48 +2,62 @@
 Section: python
 Priority: optional
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Tomasz Rybak <serpent@debian.org>
-Build-Depends: debhelper-compat (= 12),
- dh-python,
+Uploaders:
+ Tomasz Rybak <serpent@debian.org>,
+ Andreas Beckmann <anbe@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ mesa-common-dev,
+ ocl-icd-opencl-dev | opencl-dev,
+ opencl-c-headers,
+ pocl-opencl-icd,
+ pybind11-dev,
+ python3-all-dbg,
  python3-all-dev,
- python3-all-dbg,
+ python3-mako,
+ python3-numpy,
+ python3-pybind11 (>= 2.5.0),
+ python3-pytest <!nocheck>,
+ python3-pytools (>= 2017.6),
+ python3-setuptools,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc <!nodoc>,
+ python-mako-doc <!nodoc>,
+ python-numpy-doc <!nodoc>,
  python3-doc <!nodoc>,
- python-numpy-doc <!nodoc>,
- python-mako-doc <!nodoc>,
- pybind11-dev,
- python3-pybind11,
- python3-setuptools,
- opencl-c-headers,
- ocl-icd-opencl-dev | opencl-dev,
- mesa-common-dev,
- python3-numpy,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
- python3-mako,
- python3-pytools (>= 2017.6)
-Standards-Version: 4.4.1
+ python3-sphinx-copybutton <!nodoc>,
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://mathema.tician.de/software/pyopencl
+Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
 Vcs-Browser: https://salsa.debian.org/opencl-team/python-pyopencl
 
 Package: python3-pyopencl
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Architecture: any
 Multi-Arch: no
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+Depends:
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | opencl-icd,
+ python3-appdirs (>= 1.4.0),
+ python3-mako,
+ python3-numpy,
  python3-pkg-resources,
- python3-appdirs (>= 1.4.0),
- python3-numpy,
  python3-pytools (>= 2017.6),
- python3-six
-Recommends: python-pyopencl-doc <!nodoc>,
- python3-mako
-Suggests: python3-imaging-tk,
+ python3-six,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Recommends:
+ python-pyopencl-doc <!nodoc>,
+Suggests:
+ python3-imaging-tk,
+ python3-matplotlib,
  python3-opengl,
+ python3-pyopencl-dbg,
  python3-pytest,
- python3-matplotlib,
- python3-pyopencl-dbg
 Description: Python 3 module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -66,11 +80,14 @@
 
 Package: python3-pyopencl-dbg
 Section: debug
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Architecture: any
 Multi-Arch: no
-Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
- ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
- python3-cffi-backend-dbg
+Depends:
+ python3-dbg,
+ python3-pyopencl (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: Python 3 module to access OpenCL API (debug extensions)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -96,12 +113,15 @@
 Architecture: all
 Multi-Arch: foreign
 Build-Profiles: <!nodoc>
-Depends: ${sphinxdoc:Depends},
- ${misc:Depends}
-Recommends: python3-doc,
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Recommends:
+ python-mako-doc,
  python-numpy-doc,
- python-mako-doc
-Suggests: python3-pyopencl
+ python3-doc,
+Suggests:
+ python3-pyopencl,
 Description: module to access OpenCL parallel computation API (documentation)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
