=== debian/tests/control ===
Test-Command: set -efu
 ; cp -a test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP/test"
 ; echo "Testing with $py:"
 ; $py -m pytest --verbosity=2 2>&1
 ; done
Depends:
 python3-all,
 python3-pyopencl,
 python3-pytest,

Test-Command: set -efu
 ; cp -a test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP/test"
 ; echo "Testing with $py-dbg:"
 ; $py-dbg -m pytest --verbosity=2 -k 'not test_event_set_callback' 2>&1
 ; done
Depends:
 python3-all-dbg,
 python3-pyopencl-dbg,
 python3-pytest,
