=== debian/watch ===
version=4

https://pypi.python.org/packages/source/p/@PACKAGE@/ \
@PACKAGE@-(.+)\.tar\.gz debian uupdate
