## pyopencl 2021.2.13

=== debian/changelog ===
pyopencl (2021.2.13-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:59:24 +0000

pyopencl (2021.2.13-1) unstable; urgency=medium

  * New upstream release.
  * Support the nocheck build profile with reduced build dependencies.
  * Add alternate (Build-)Depends: mesa-opencl-icd to allow building on all
    architectures even if we can't run the tests.  (Closes: #1001545)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Feb 2022 08:50:00 +0100

pyopencl (2021.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Re-add sphinxconfig.py to the package source to allow offline building and
    customization.
  * Refresh patches.
  * Update dependency on pytools to 2021.2.7.
  * Drop python3-pyopencl-dbg autopkgtest.  (Closes: #996716)
  * Cherry-pick "Skip test_mempool_32bit_issues on 32-bit machines".

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Oct 2021 23:35:38 +0200

pyopencl (2021.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop python3-pyopencl-dbg.  (Closes: #994334)
  * Update Standards-Version to 4.6.0; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Sep 2021 11:13:33 +0200
