=== debian/control ===
--- 
+++ 
@@ -12,16 +12,14 @@
  mesa-common-dev,
  ocl-icd-opencl-dev | opencl-dev,
  opencl-c-headers,
- pocl-opencl-icd,
- pybind11-dev,
- python3-all-dbg,
  python3-all-dev,
- python3-mako,
- python3-numpy,
  python3-pybind11 (>= 2.5.0),
+ python3-setuptools,
+# only for running the tests
+ pocl-opencl-icd <!nocheck> | mesa-opencl-icd <!nocheck>,
+ python3-mako <!nocheck>,
  python3-pytest <!nocheck>,
- python3-pytools (>= 2017.6),
- python3-setuptools,
+ python3-pytools (>= 2021.2.7) <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  python-mako-doc <!nodoc>,
@@ -29,7 +27,7 @@
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
@@ -40,12 +38,12 @@
 Multi-Arch: no
 Depends:
  ocl-icd-libopencl1 | libopencl1,
- pocl-opencl-icd | opencl-icd,
+ pocl-opencl-icd | mesa-opencl-icd | opencl-icd,
  python3-appdirs (>= 1.4.0),
  python3-mako,
  python3-numpy,
  python3-pkg-resources,
- python3-pytools (>= 2017.6),
+ python3-pytools (>= 2021.2.7),
  python3-six,
  ${misc:Depends},
  ${python3:Depends},
@@ -56,7 +54,6 @@
  python3-imaging-tk,
  python3-matplotlib,
  python3-opengl,
- python3-pyopencl-dbg,
  python3-pytest,
 Description: Python 3 module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
@@ -77,36 +74,6 @@
   * Liberal licensing (MIT).
  .
  This package contains Python 3 modules.
-
-Package: python3-pyopencl-dbg
-Section: debug
-Architecture: any
-Multi-Arch: no
-Depends:
- python3-dbg,
- python3-pyopencl (= ${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Description: Python 3 module to access OpenCL API (debug extensions)
- PyOpenCL lets you access the OpenCL parallel computation API from
- Python. Here's what sets PyOpenCL apart:
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and
-    crash-free code.
-  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
-    disposal, if you wish.
-  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
-    accessible, it tries hard to make your life less complicated as it
-    does so--without taking any shortcuts.
-  * Automatic Error Checking. All OpenCL errors are automatically
-    translated into Python exceptions.
-  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful, complete documentation and a wiki.
-  * Liberal licensing (MIT).
- .
- This package contains extensions build for the Python 3 debug interpreter.
 
 Package: python-pyopencl-doc
 Section: doc
