=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_DESTDIR_python3=debian/python3-$(DEB_SOURCE)/
-export PYBUILD_DESTDIR_python3-dbg=debian/python3-$(DEB_SOURCE)-dbg/
 
 ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 DEB_CXXFLAGS_MAINT_STRIP=-O2
@@ -43,8 +42,3 @@
 
 override_dh_auto_test:
 	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} cp -r {dir}/test {build_dir} && cd {build_dir}/test && {interpreter} -m pytest --verbosity=2 -k 'not test_event_set_callback' && rm -rf {build_dir}/test"
-
-override_dh_strip:
-ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython3-$(DEB_SOURCE) --dbg-package=python3-$(DEB_SOURCE)-dbg
-endif
