## pyopencl 2022.1.6

=== debian/changelog ===
pyopencl (2022.1.6-2) unstable; urgency=medium

  * Fix building with pybind 2.10.  (Closes: #1016255)
  * Discard automatic changes to *.egg-info/* to fix building twice in a row.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Aug 2022 07:48:14 +0200

pyopencl (2022.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends: pybuild-plugin-pyproject.
  * Bump Build-Depends: python3-pytest to (>= 7).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 26 Jun 2022 13:10:36 +0200

pyopencl (2022.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Restrict B-D: pocl-opencl-icd to architectures where that is built.
  * Fix documentation build to be reproducible.
  * Add salsa-ci.yml to disable reprotest 'fileordering' variation.
  * Update Standards-Version to 4.6.1; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jun 2022 22:53:07 +0200
