=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
  mesa-common-dev,
  ocl-icd-opencl-dev | opencl-dev,
  opencl-c-headers,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-pybind11 (>= 2.5.0),
  python3-setuptools,
 # only for running the tests
- pocl-opencl-icd <!nocheck> | mesa-opencl-icd <!nocheck>,
+ pocl-opencl-icd [amd64 arm64 armel armhf i386 hurd-i386] <!nocheck> | mesa-opencl-icd <!nocheck>,
  python3-mako <!nocheck>,
- python3-pytest <!nocheck>,
+ python3-pytest (>= 7) <!nocheck>,
  python3-pytools (>= 2021.2.7) <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
@@ -27,7 +28,7 @@
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
