=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,8 @@
 override_dh_auto_configure:
 	./configure.py --cl-enable-gl
 
+execute_after_dh_auto_build-indep: HOME=$(CURDIR)/debian/.debhelper/generated/_source/home
 execute_after_dh_auto_build-indep:
-	env HOME=$(mktemp -d) \
 	pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
 
 execute_after_dh_auto_clean:
@@ -39,6 +39,7 @@
 	$(RM) doc/constants.inc
 	$(RM) -r tmp
 	$(RM) Makefile siteconf.py
+	$(RM) -r *.egg-info/
 
 override_dh_auto_test:
 	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} cp -r {dir}/test {build_dir} && cd {build_dir}/test && {interpreter} -m pytest --verbosity=2 -k 'not test_event_set_callback' && rm -rf {build_dir}/test"
