## pyopencl 2022.3.1

=== debian/changelog ===
pyopencl (2022.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for "FTBFS on i386: = 1 failed, 304 passed, 7
    skipped, 1 deselected, 2 xfailed, 31 warnings in 736.25s (0:12:16) =",
    thanks to Sebastian Ramacher (Closes: #1030298).

 -- Roland Mas <lolando@debian.org>  Tue, 21 Feb 2023 14:45:02 +0100

pyopencl (2022.3.1-2) unstable; urgency=medium

  * Build without python-numpy-doc.  (Closes: #1028732)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jan 2023 18:16:22 +0100

pyopencl (2022.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and cleanup rules.
  * Update Standards-Version to 4.6.2; no changes necessary.
  * Disable loading external mathjax from documentation.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Jan 2023 13:39:30 +0100

pyopencl (2022.2.4-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Cherry-pick "Allow fallback if KernelWithCustomEnqueue __class__
    assignment fails" to fix failures with python 3.11.  (Closes: #1024046)
  * Drop ancient d/NEWS.
  * Refresh patches.
  * Update Lintian overrides.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Indep: Drop versioned constraint on python3-sphinx.
    + python3-pyopencl: Drop versioned constraint on python3-appdirs in Depends.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Nov 2022 20:08:50 +0100
