=== debian/control ===
--- 
+++ 
@@ -23,12 +23,12 @@
  python3-pytools (>= 2021.2.7) <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
+ jdupes <!nodoc>,
  python-mako-doc <!nodoc>,
- python-numpy-doc <!nodoc>,
  python3-doc <!nodoc>,
- python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
@@ -40,7 +40,7 @@
 Depends:
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | mesa-opencl-icd | opencl-icd,
- python3-appdirs (>= 1.4.0),
+ python3-appdirs,
  python3-mako,
  python3-numpy,
  python3-pkg-resources,
@@ -52,7 +52,7 @@
 Recommends:
  python-pyopencl-doc <!nodoc>,
 Suggests:
- python3-imaging-tk,
+ python3-pil.imagetk,
  python3-matplotlib,
  python3-opengl,
  python3-pytest,
@@ -86,7 +86,6 @@
  ${sphinxdoc:Depends},
 Recommends:
  python-mako-doc,
- python-numpy-doc,
  python3-doc,
 Suggests:
  python3-pyopencl,
