=== debian/rules ===
--- 
+++ 
@@ -33,13 +33,21 @@
 execute_after_dh_auto_build-indep: HOME=$(CURDIR)/debian/.debhelper/generated/_source/home
 execute_after_dh_auto_build-indep:
 	pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
+	find doc/_build/html/ -name '*.html' -exec sed -r -i \
+		-e 's,(<script async="async" )src(="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>),<!-- \1DISABLED\2 -->,' \
+		{} +
 
 execute_after_dh_auto_clean:
-	$(MAKE) -C doc clean
+	$(RM) -r doc/_build/
 	$(RM) doc/constants.inc
-	$(RM) -r tmp
 	$(RM) Makefile siteconf.py
+	$(RM) -r __pycache__/
+	$(RM) -r tmp/
 	$(RM) -r *.egg-info/
 
 override_dh_auto_test:
 	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} cp -r {dir}/test {build_dir} && cd {build_dir}/test && {interpreter} -m pytest --verbosity=2 -k 'not test_event_set_callback' && rm -rf {build_dir}/test"
+
+execute_after_dh_installexamples-indep:
+	jdupes -r -M debian/python-pyopencl-doc/usr/share/doc/python-pyopencl-doc
+	jdupes -r -l debian/python-pyopencl-doc/usr/share/doc/python-pyopencl-doc
