## pyopencl 2023.1.1

=== debian/changelog ===
pyopencl (2023.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Jun 2023 17:54:41 +0200

pyopencl (2023.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Jun 2023 10:46:24 +0200
