## pyopencl 2023.1.3

=== debian/changelog ===
pyopencl (2023.1.3-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:20:00 +0000

pyopencl (2023.1.3-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:21:15 +0000

pyopencl (2023.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-six dependency, no longer used since 2021.1.
    (Closes: #1052511)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Oct 2023 11:58:24 +0200

pyopencl (2023.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Sep 2023 19:16:39 +0200
