=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
  python3-numpy,
  python3-pkg-resources,
  python3-pytools (>= 2021.2.7),
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
