=== debian/changelog ===
pyopencl (2024.1-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:03:08 +0000

pyopencl (2024.1-3) unstable; urgency=medium

  * Fix building with Numpy 2.  (Closes: #1094374, #1095214)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Feb 2025 09:59:39 +0100

pyopencl (2024.1-2) unstable; urgency=medium

  * Fix building with sphinx 8.  (Closes: #1090265)
  * Stop using deprecated pkg_resources.  (Closes: #1083583)
  * Update Standards-Version to 4.7.0; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Jan 2025 03:52:27 +0100

pyopencl (2024.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-appdirs dependency, no longer used since 2021.2.11.
    (Closes: #1067987)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Apr 2024 12:57:11 +0200
