=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-doc <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
@@ -40,10 +40,8 @@
 Depends:
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | mesa-opencl-icd | opencl-icd,
- python3-appdirs,
  python3-mako,
  python3-numpy,
- python3-pkg-resources,
  python3-pytools (>= 2021.2.7),
  ${misc:Depends},
  ${python3:Depends},
